Subject: Re: AVNET 440GX board

From: Stefan Roese <[email-masked]>
Date: Sat, 24 Mar 2007 07:12:54 +0100

Ken,

On Friday 23 March 2007 19:45, Ken Sakurai wrote:
> > I don't know the AVNET 440GX eval board. Is it _identical_ to the
> > IBM/AMCC Ocotea? If not you will most likely have no luck with this
> > image. You will have to port Linux to this special board.
>
> yeah, sounds like. I was so optimistic that Linux is kind of primary OS for
> any ppc board  when I choosed this board :-)
>
> I was just using the elf image, instead of uimage.
> '6501A8C0.img' is refereing zImage.img which is Linux elf image.
> It looks to me that the bootelf command interprets ELF format corrently.
>
> As you sugested, I also made uImage and used bootm to boot it.
> But no luck. Here is the log.

Of course you had no luck, since the Ocotea uImage can't work on a different 
hardware like the AVNET board. Again, you have to port Linux to this platform 
first. And you need to know detailed information for this procedure 
(schematics...).

Best regards,
Stefan

=====================================================================
DENX Software Engineering GmbH, HRB 165235 Munich, CEO: Wolfgang Denk
Office:  Kirchenstr. 5,       D-82194 Groebenzell,            Germany
=====================================================================